Package org.jfree.layouting.renderer.process

## Class InfiniteMajorAxisLayoutStep

- java.lang.Object
- - org.jfree.layouting.renderer.process.IterateVisualProcessStep
  - - org.jfree.layouting.renderer.process.InfiniteMajorAxisLayoutStep

-     public class InfiniteMajorAxisLayoutStep
      extends IterateVisualProcessStep

  This process-step computes the vertical alignment and corrects the y-positions whereever needed.

  This will only work, if the minor-axis step has been executed. Executing this class eats 23% of the current layouting time.
  Author:
    Thomas Morgner

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `InfiniteMajorAxisLayoutStep.ParagraphBreakState` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InfiniteMajorAxisLayoutStep​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `compute​(LogicalPageBox pageBox)` |
    `void` | `continueComputation​(RenderBox box)` | Continues processing.
    `protected void` | `finishBlockLevelBox​(RenderBox box)` |
    `protected void` | `finishInlineLevelBox​(RenderBox box)` |
    `protected void` | `finishLine​(ParagraphPoolBox inlineRenderBox)` |
    `protected void` | `finishOtherBox​(RenderBox box)` |
    `protected void` | `processBlockLevelNode​(RenderNode node)` |
    `protected void` | `processInlineLevelNode​(RenderNode node)` |
    `protected void` | `processParagraphChilds​(ParagraphRenderBox box)` |
    `protected boolean` | `startBlockLevelBox​(RenderBox box)` |
    `protected boolean` | `startInlineLevelBox​(RenderBox box)` |
    `protected void` | `startLine​(ParagraphPoolBox box)` |

    - ### Methods inherited from class org.jfree.layouting.renderer.process.IterateVisualProcessStep

      `processBlockLevelChild, processBoxChilds, processFlow, processInlineLevelChild, processOtherLevelChild, startProcessing`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InfiniteMajorAxisLayoutStep

          public InfiniteMajorAxisLayoutStep​()

  - ### Method Detail

    - #### compute

          public void compute​(LogicalPageBox pageBox)

    - #### continueComputation

          public void continueComputation​(RenderBox box)

      Continues processing. The renderbox must have a valid x-layout (that is: X, content-X1, content-X2 and Width)
      Parameters:
        `box` -

    - #### startBlockLevelBox

          protected boolean startBlockLevelBox​(RenderBox box)

      Overrides:
        `startBlockLevelBox` in class `IterateVisualProcessStep`

    - #### finishBlockLevelBox

          protected void finishBlockLevelBox​(RenderBox box)

      Overrides:
        `finishBlockLevelBox` in class `IterateVisualProcessStep`

    - #### startInlineLevelBox

          protected boolean startInlineLevelBox​(RenderBox box)

      Overrides:
        `startInlineLevelBox` in class `IterateVisualProcessStep`

    - #### finishInlineLevelBox

          protected void finishInlineLevelBox​(RenderBox box)

      Overrides:
        `finishInlineLevelBox` in class `IterateVisualProcessStep`

    - #### processInlineLevelNode

          protected void processInlineLevelNode​(RenderNode node)

      Overrides:
        `processInlineLevelNode` in class `IterateVisualProcessStep`

    - #### processBlockLevelNode

          protected void processBlockLevelNode​(RenderNode node)

      Overrides:
        `processBlockLevelNode` in class `IterateVisualProcessStep`

    - #### processParagraphChilds

          protected void processParagraphChilds​(ParagraphRenderBox box)

      Specified by:
        `processParagraphChilds` in class `IterateVisualProcessStep`

    - #### startLine

          protected void startLine​(ParagraphPoolBox box)

    - #### finishLine

          protected void finishLine​(ParagraphPoolBox inlineRenderBox)

    - #### finishOtherBox

          protected void finishOtherBox​(RenderBox box)